nav p {
    margin-left: 20px;
    margin-top: 15px;
}

.icono {
    border: 2px solid black;
    border-radius: 50%;
}

nav ul {
    margin-left: 10px;
}

.container-fluid p {
    font-size: 1.5em;
}

header {
    height: 100px;
}

header form {
    display: flex;
    position: relative;
    top: -45%;
    left: 60%;
    max-width: 500px;
}

header form button {
    margin-left: 5px;
}

header h1 {
    margin-left: 5%;
    margin-top: 2%;
}

.contenedorDetalles li {
    list-style: none;
    padding: 10px;
    margin-top: 10px;
    font-size: 1.5em;
}

.coleccionBlueberry {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin-top: 5%;
    margin-left: 2%;
    margin-bottom: 10%;
}

.coleccionBlueberry * {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.coleccionBlueberry p {
    margin-top: 10px;
    font-weight: bold;
}

button#detalles {
    border: none;
    margin: 0;
    padding: 0;
}



@media all and (max-width:1400px) {
    .coleccionBlueberry {
        grid-template-columns: repeat(3, 1fr);
        ;
    }
}

@media all and (max-width:960px) {
    .coleccionBlueberry {
        grid-template-columns: repeat(2, 1fr);
        ;
    }
}

@media all and (max-width:650px) {
    .coleccionBlueberry {
        grid-template-columns: 1fr;
        margin-top: 10%;
        ;
    }
}

.contenedorDetalles {
    margin-top: 5%;
    margin-left: 2%;
    display: grid;
    grid-template-columns: 500px 1fr;
}

.contenedorDetalles div:first-child {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media all and (max-width:1000px) {
    header form {
        position: static;
        margin-left: 5%;
    }

    .contenedorDetalles {
        grid-template-columns: 500px;
        margin-bottom: 30%;
    }

    .contenedorDetalles div:last-child {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

table {
    border-collapse: collapse;
}

table td,
table th {
    border: 1px solid grey;
    padding: 5px;
    text-align: center;
}

table th {
    color: black;
}

.tabla {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-left: 2%;
    margin-right: 2%;
    margin-bottom: 7%;
}

.tabla1,
.tabla2 {
    font-weight: bold;
    opacity: 1;
    color: grey;

}

.tabla2 {
    margin-left: 18%;
}

.enlacesTabla:hover {
    text-decoration: none;
}

.tabla h4 {
    color: black;
    margin: 2% auto;
}

@media all and (max-width:800px) {
    .tabla {
        display: flex;
        flex-direction: column;
    }

    .tabla2,
    .tabla1,
    .tabla h4 {
        margin: 0 auto;
        margin-bottom: 10px;
    }

    .tabla2 {
        order: 2;
    }
}

del {
    color: grey;
}

.detalles li span {
    background-color: red;
    border-radius: 50%;
    padding: 10px;
    margin-left: 10px;
    color: white;
    animation: oferta 1s infinite;
}

@keyframes oferta {
    0% {}

    50% {
        opacity: 0;
    }

    100% {}
}

/* Estilos del footer*/
footer {
    margin-top: 500px;
    width: 100%;
    position: absolute;
    position: fixed;
    bottom: -20px;
}

.socials {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-around;
    list-style: none;
    background: linear-gradient(45deg, gold, silver);
    height: 75px;
}

.socials li:first-of-type {
    color: white;
    font-size: x-large;

}

ion-icon {
    background-color: aliceblue;
    font-size: 15px;
    padding: 10px;
    border-radius: 50%;
    color: grey;
}

.socials li span {
    background-color: none;
    border-radius: 50%;

}

.socials>li:hover ion-icon {
    font-size: 25px;
}

ion-icon[name="logo-facebook"]:hover {
    color: blue;
}

ion-icon[name="logo-twitter"]:hover {
    color: #1da1f2;
}

ion-icon[name="logo-instagram"]:hover {
    color: #C13584;
}

ion-icon[name="mail-outline"]:hover {
    color: darkorange;
}

.socials li:hover span.facebook {
    border: 6px solid blue;
}

.socials li:hover span.twitter {
    border: 6px solid #1da1f2;
}

.socials li:hover span.instagram {
    border: 6px solid #C13584;
}

.socials li:hover span.email {
    border: 6px solid darkorange;
    transform: rotateZ('90deg');
}